System.register([], function (_export, _context) {
  "use strict";

  return {
    setters: [],
    execute: function () {
      _recorder_._src_client_workspaces_js = _recorder_._src_client_workspaces_js || {};
      _recorder_._src_client_workspaces_js.getURL = getURL;
      _recorder_._src_client_workspaces_js.setURL = setURL;
      _recorder_._src_client_workspaces_js.setCode = setCode;
      _recorder_._src_client_workspaces_js.getCode = getCode;

      if (!self.lively4workspaces) {
        self.lively4workspaces = new Map();
      }
      const workspaces = self.lively4workspaces;

      _recorder_._src_client_workspaces_js.workspaces = workspaces;
      if (!self.lively4workspaceURLs) {
        self.lively4workspaceURLs = new Map();
      }
      const workspaceURLs = self.lively4workspaceURLs;

      // const workspaces = new Map();
      // const workspaceURLs = new Map();


      _recorder_._src_client_workspaces_js.workspaceURLs = workspaceURLs;
      function getCode(id) {
        return _recorder_._src_client_workspaces_js.workspaces.get(id);
      }

      _export("getCode", getCode);

      function setCode(id, src) {
        return _recorder_._src_client_workspaces_js.workspaces.set(id, src);
      }

      _export("setCode", setCode);

      function setURL(id, url) {
        return _recorder_._src_client_workspaces_js.workspaceURLs.set(id, url);
      }

      _export("setURL", setURL);

      function getURL(id) {
        return _recorder_._src_client_workspaces_js.workspaceURLs.get(id);
      }

      _export("getURL", getURL);
    }
  };
});